#include <stdio.h>

int main()
{
    char name1[128] = "hello";
    // char *name2 = "world";
    // printf("%s , %p\n", name2, name2);
    // name2 = "world2";
    // printf("%s , %p\n", name2, name2);
    // name2 = "world3";
    // printf("%s , %p\n", name2, name2);
    return 0;
}